/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects;

import java.util.ArrayList;
import java.util.Collection;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultArtifactStatisticsSet implements ArtifactStatisticsSet{

    private String name = null;
    
    private Collection<ArtifactStatisticValue> statisticValues = 
                                       new ArrayList<ArtifactStatisticValue>();
    /**
     * Constructor
     */
    public DefaultArtifactStatisticsSet(String name) {
        this.name = name;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactStatisticsSet#addStatisticValues(de.intevation.gnv.artifactdatabase.objects.ArtifactStatisticValue)
     */
    public void addStatisticValues(ArtifactStatisticValue value) {
        this.statisticValues.add(value);
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactStatisticsSet#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactStatisticsSet#getStatisticValues()
     */
    public Collection<ArtifactStatisticValue> getStatisticValues() {
        return this.statisticValues;
    }

}
